Add a new line item to a receipt

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receipt_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
accounting_tax_rate_idstringOptionalformat: "uuid"
Accounting tax rate ID.
cost_center_idstringOptionalformat: "uuid"
Cost center ID.
ledger_account_idstringOptionalformat: "uuid"
Ledger account ID.
namestringOptional

Line item name/description.

totalintegerOptional
Line item total in minor units.

Response

Successful Response
idstringformat: "uuid"
Unique line item ID.
created_atdatetime
Created at.
updated_atdatetime
Updated at.
receipt_idstringformat: "uuid"
Receipt ID.
accounting_tax_rate_idstringformat: "uuid"
Accounting tax rate ID.
cost_center_idstringformat: "uuid"
Cost center ID.
created_by_entity_user_idstringformat: "uuid"
Created by user.
ledger_account_idstringformat: "uuid"
Ledger account ID.
namestring
Line item name.
totalinteger
Total.

Errors

401
Post Receipts ID Line Items Request Unauthorized Error
403
Post Receipts ID Line Items Request Forbidden Error
404
Post Receipts ID Line Items Request Not Found Error
422
Post Receipts ID Line Items Request Unprocessable Entity Error
429
Post Receipts ID Line Items Request Too Many Requests Error